Core
Validate API key
GET
Returns the account and key details for the key you send. Use apiKey.type to know if you are in SANDBOX or PRODUCTION.
AccessTokenheader
X-Access-Token<token>Your API key. Sandbox keys start with flx_test_, production keys with flx_live_.
Key details
application/json- response
success*trueValue in
truedata*meta*requestId*stringcurl -X GET 'https://api.flexyliktelecom.com/v3/validate'Example Response
{ "success": true, "data": { "username": "my-shop", "apiKey": { "keyId": "key_3f9a1c2b7d4e5f6a7b", "name": "Production server", "key": "flx_live_Ab3d••••••••w9Qz", "isEnabled": true, "type": "SANDBOX", "scope": "READ-WRITE", "allowedips": [ "string" ] } }, "meta": { "timestamp": "2026-11-15T10:30:00.000Z" }, "requestId": "req_8fK2mQx7Lp0aZ3nV1cWb"}